{% extends 'base.html' %}

{% block content %}
<div class="row">
    <h2>Searching for {{ search_param }} stories</h2>
    {% if news %}
    {% for item in news %}
    <div class="col-m-4">
        <div class="card">
            <img class="card-img-top" {% if item.img_exist %} src="{{item.img_url}}" {% endif %} style="width: 300px; height: auto;">
            <div class="card-body">
                <a href="{{item.web_url}}">
                    <h1>
                        {{item.headline}}
                    </h1>
                </a>
                <p class="card-text">
                    {{item.abstract}}
                </p>
            </div>
        </div>
    </div>
    {% endfor %}
    {% endif %}

</div>
{% endblock %}